Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.formmodel.tree
Class TreeSelectionEvent

    java.lang.Object
      java.util.EventObject
          org.apache.cocoon.forms.event.WidgetEvent
              org.apache.cocoon.forms.formmodel.tree.TreeSelectionEvent

All Implemented Interfaces:
  Serializable

public class TreeSelectionEvent
extends WidgetEvent

An event fired when the selection of a `Tree` changes.

Version:
  $Id: TreeSelectionEvent.java 587759 2007-10-24 03:00:37Z vgritsenko $
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`TreeSelectionEvent(Tree source, TreePath[] paths, boolean allNew)`
`TreeSelectionEvent(Tree source, TreePath[] paths, boolean[] areNew)`
`TreeSelectionEvent(Tree source, TreePath path, boolean isNew)`

Method Summary
`TreePath` | `getPath()` Get the first path element.
`TreePath[]` | `getPaths()` Get paths that have been added or removed from the selection.
`Tree` | `getTree()`
`boolean` | `isAddedPath()` Is the first path a new addition to the selection?
`boolean` | `isAddedPath(int index)` Was the `index`th path added to the selection?

Methods inherited from class org.apache.cocoon.forms.event.WidgetEvent
`getSourceWidget`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TreeSelectionEvent

    public TreeSelectionEvent(Tree source,
                              TreePath path,
                              boolean isNew)

### TreeSelectionEvent

    public TreeSelectionEvent(Tree source,
                              TreePath[] paths,
                              boolean[] areNew)

### TreeSelectionEvent

    public TreeSelectionEvent(Tree source,
                              TreePath[] paths,
                              boolean allNew)

Method Detail

### getTree

    public Tree getTree()

### getPath

    public TreePath getPath()

  Get the first path element.

### isAddedPath

    public boolean isAddedPath()

  Is the first path a new addition to the selection?

### getPaths

    public TreePath[] getPaths()

  Get paths that have been added or removed from the selection.

### isAddedPath

    public boolean isAddedPath(int index)

  Was the `index`th path added to the selection?

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.